# Getting started

Webhook alerts send a POST request to your specified URL and pass a JSON composed with 3 groups of data:

* **Alert properties** (alert\_name, ...)
  * These fields are directly returned in the top level of the json
* **Event properties** (technology\_name, ...)
  * These fields are nested in a json under the "event\_properties" key
* **Company properties** (employees\_range, ...)
  * These fields are nested in a json under the "company\_properties" key

A typical JSON payload for a webhook alert set through Sonar is as follow:

```javascript
{
  "event_id": 458325,
  "timestamp": "2020-04-23T12:25:32.209Z",
  "type": "technology_removed",
  "alert_name": "Hotjar deleted",
  "event_verbose": "Wine Central removed Hotjar",
  "domain": "winecentral.co.nz",
  "event_properties": {
    "technology_name": "Hotjar",
    "technology_domain": "https://www.hotjar.com/",
    "technology_category": "Analytics"
  },
  "company_properties": {
    "company_name": "Wine Central",
    "alexa_rank": null,
    "country": "New Zealand",
    "location": "Albany, Auckland, New Zealand",
    "industry": "Food & Beverages",
    "employees_range": "1-10",
    "social_linkedin_url": "linkedin.com/company/wine-central",
    "social_facebook_url": "/4winecentral",
    "social_twitter_url": null,
    "year_founded": 2013
  }
}
```

All keys are sent, with a null object returned when the data is not available.

{% hint style="info" %}
Company properties have been added to all events to allow greater flexibility in the way you can use the alerts in your workflows.\
\
You can for example automatically send that information to an  outbound tool with the right data like the name of the company as a parameter.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.purplesonar.com/alert-properties/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
